: Class ResourceEventMulticaster

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources.event
Class ResourceEventMulticaster

    java.lang.Object
      |
      +--org.w3c.tools.resources.event.ResourceEventMulticaster

public class ResourceEventMulticaster
extends java.lang.Object
implements StructureChangedListener, FrameEventListener, AttributeChangedListener

Event dispatching suport class.

Field Summary
`protected java.util.EventListener` | `a`
`protected java.util.EventListener` | `b`

Constructor Summary
`protected` | `ResourceEventMulticaster(java.util.EventListener a, java.util.EventListener b)`

Method Summary
`static AttributeChangedListener` | `add(AttributeChangedListener a, AttributeChangedListener b)` Add an attribute change listener.
`static FrameEventListener` | `add(FrameEventListener a, FrameEventListener b)` Add an Frame event listener.
`static StructureChangedListener` | `add(StructureChangedListener a, StructureChangedListener b)` Add a structure changed listener.
`protected static java.util.EventListener` | `addInternal(java.util.EventListener a, java.util.EventListener b)`
`void` | `attributeChanged(AttributeChangedEvent evt)` Propagate AttributeChanged events.
`void` | `frameAdded(FrameEvent evt)` This handles the `FRAME_ADDED` kind of events.
`void` | `frameModified(FrameEvent evt)` This handles the `FRAME_MODIFIED` kind of events.
`void` | `frameRemoved(FrameEvent evt)` A frame is about to be removed This handles the `FRAME_REMOVED` kind of events.
`static AttributeChangedListener` | `remove(AttributeChangedListener l, AttributeChangedListener ol)` Remove an attribute change listener.
`protected java.util.EventListener` | `remove(java.util.EventListener oldl)`
`static FrameEventListener` | `remove(FrameEventListener l, FrameEventListener oldl)` Remove a frame event listener.
`static StructureChangedListener` | `remove(StructureChangedListener l, StructureChangedListener ol)` Remove a structure changed listener.
`protected static java.util.EventListener` | `removeInternal(java.util.EventListener l, java.util.EventListener oldl)`
`void` | `resourceCreated(StructureChangedEvent evt)` A new resource has been created in some space.
`void` | `resourceModified(StructureChangedEvent evt)` This handles the `RESOURCE_MODIFIED` kind of events.
`void` | `resourceRemoved(StructureChangedEvent evt)` A resource is about to be removed This handles the `RESOURCE_REMOVED` kind of events.
`void` | `resourceUnloaded(StructureChangedEvent evt)` A resource is about to be unloaded This handles the `RESOURCE_UNLOADED` kind of events.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### a

    protected java.util.EventListener a

### b

    protected java.util.EventListener b

Constructor Detail

### ResourceEventMulticaster

    protected ResourceEventMulticaster(java.util.EventListener a,
                                       java.util.EventListener b)

Method Detail

### remove

    protected java.util.EventListener remove(java.util.EventListener oldl)

### removeInternal

    protected static java.util.EventListener removeInternal(java.util.EventListener l,
                                                            java.util.EventListener oldl)

### addInternal

    protected static java.util.EventListener addInternal(java.util.EventListener a,
                                                         java.util.EventListener b)

### add

    public static AttributeChangedListener add(AttributeChangedListener a,
                                               AttributeChangedListener b)

  Add an attribute change listener.

### remove

    public static AttributeChangedListener remove(AttributeChangedListener l,
                                                  AttributeChangedListener ol)

  Remove an attribute change listener.

### attributeChanged

    public void attributeChanged(AttributeChangedEvent evt)

  Propagate AttributeChanged events.
  Specified by:
    attributeChanged in interface AttributeChangedListener
  Tags copied from interface: AttributeChangedListener
  Parameters:
    `evt` - The AttributeChangeEvent describing the change.

### add

    public static FrameEventListener add(FrameEventListener a,
                                         FrameEventListener b)

  Add an Frame event listener.

### remove

    public static FrameEventListener remove(FrameEventListener l,
                                            FrameEventListener oldl)

  Remove a frame event listener.

### frameAdded

    public void frameAdded(FrameEvent evt)

  Description copied from interface: FrameEventListener
  This handles the `FRAME_ADDED` kind of events.
  Specified by:
    frameAdded in interface FrameEventListener
  Tags copied from interface: FrameEventListener
  Parameters:
    `evt` - The FrameEvent.

### frameModified

    public void frameModified(FrameEvent evt)

  Description copied from interface: FrameEventListener
  This handles the `FRAME_MODIFIED` kind of events.
  Specified by:
    frameModified in interface FrameEventListener
  Tags copied from interface: FrameEventListener
  Parameters:
    `evt` - The event describing the change.

### frameRemoved

    public void frameRemoved(FrameEvent evt)

  Description copied from interface: FrameEventListener
  A frame is about to be removed This handles the `FRAME_REMOVED` kind of events.
  Specified by:
    frameRemoved in interface FrameEventListener
  Tags copied from interface: FrameEventListener
  Parameters:
    `evt` - The event describing the change.

### add

    public static StructureChangedListener add(StructureChangedListener a,
                                               StructureChangedListener b)

  Add a structure changed listener.

### remove

    public static StructureChangedListener remove(StructureChangedListener l,
                                                  StructureChangedListener ol)

  Remove a structure changed listener.

### resourceModified

    public void resourceModified(StructureChangedEvent evt)

  Description copied from interface: StructureChangedListener
  This handles the `RESOURCE_MODIFIED` kind of events.
  Specified by:
    resourceModified in interface StructureChangedListener
  Tags copied from interface: StructureChangedListener
  Parameters:
    `evt` - The StructureChangeEvent.

### resourceCreated

    public void resourceCreated(StructureChangedEvent evt)

  Description copied from interface: StructureChangedListener
  A new resource has been created in some space. This handles the `RESOURCE_CREATED` kind of events.
  Specified by:
    resourceCreated in interface StructureChangedListener
  Tags copied from interface: StructureChangedListener
  Parameters:
    `evt` - The event describing the change.

### resourceRemoved

    public void resourceRemoved(StructureChangedEvent evt)

  Description copied from interface: StructureChangedListener
  A resource is about to be removed This handles the `RESOURCE_REMOVED` kind of events.
  Specified by:
    resourceRemoved in interface StructureChangedListener
  Tags copied from interface: StructureChangedListener
  Parameters:
    `evt` - The event describing the change.

### resourceUnloaded

    public void resourceUnloaded(StructureChangedEvent evt)

  Description copied from interface: StructureChangedListener
  A resource is about to be unloaded This handles the `RESOURCE_UNLOADED` kind of events.
  Specified by:
    resourceUnloaded in interface StructureChangedListener
  Tags copied from interface: StructureChangedListener
  Parameters:
    `evt` - The event describing the change.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD